1
0
mirror of git://git.sv.gnu.org/coreutils.git synced 2026-04-20 10:51:48 +02:00

* tests/ls/stat-dtype: Test for the 2006-08-17 `ls -CF' fix.

This commit is contained in:
Jim Meyering
2006-08-19 17:19:12 +00:00
parent 0bcaab0b0d
commit 674311d6d7
2 changed files with 18 additions and 0 deletions

View File

@@ -1,5 +1,7 @@
2006-08-19 Jim Meyering <jim@meyering.net>
* tests/ls/stat-dtype: Test for the 2006-08-17 `ls -CF' fix.
* README: Describe potential "pre-C99 build failure", and work-around.
Some of my 2006-07-03 changes to tests/*/Makefile.am were being

View File

@@ -1,5 +1,7 @@
#!/bin/sh
# Ensure that ls --file-type does not call stat unnecessarily.
# Also check for the dtype-related (and fs-type dependent) bug
# in coreutils-6.0 that made ls -CF columns misaligned.
# Copyright (C) 2006 Free Software Foundation, Inc.
@@ -57,6 +59,9 @@ mkdir d || framework_failure=1
ln -s / d/s || framework_failure=1
chmod 600 d || framework_failure=1
mkdir -p e/a2345 e/b || framework_failure=1
chmod 600 e || framework_failure=1
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
(exit 1); exit 1
@@ -72,4 +77,15 @@ EOF
cmp out exp || fail=1
test $fail = 1 && diff out exp 2> /dev/null
rm -f out exp
# Check for the ls -CF misaligned-columns bug:
ls -CF e > out || fail=1
# coreutils-6.0 would print two spaces after the first slash,
# rather than the appropriate TAB.
printf 'a2345/\tb/\n' > exp || fail=1
cmp out exp || fail=1
test $fail = 1 && diff out exp 2> /dev/null
(exit $fail); exit $fail